This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 162621 - Sound subsystems broken in fc4 that worked in fc2.
Sound subsystems broken in fc4 that worked in fc2.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-06 17:12 EDT by P Fudd
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-30 05:28:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of five mpg321 commands. (3.26 KB, text/plain)
2005-07-06 17:12 EDT, P Fudd
no flags Details
Short program to exercise the sound subsystems (27.00 KB, application/x-gzip)
2005-07-06 17:16 EDT, P Fudd
no flags Details
Output of aplay -l (337 bytes, text/plain)
2005-07-22 19:47 EDT, P Fudd
no flags Details
Output of lsmod (1.92 KB, text/plain)
2005-07-22 19:47 EDT, P Fudd
no flags Details
Output of aplay -D default /usr/share/sounds/phone.wav (from inside kde) (499 bytes, text/plain)
2005-07-22 19:48 EDT, P Fudd
no flags Details
Contents of asound.conf (102 bytes, text/plain)
2005-07-22 19:49 EDT, P Fudd
no flags Details
Contents of modprobe.conf (301 bytes, text/plain)
2005-07-22 19:50 EDT, P Fudd
no flags Details
Contents of /etc/alsa/cards/aliases.conf (1.16 KB, text/plain)
2005-07-22 19:51 EDT, P Fudd
no flags Details
Output of aplay -D default /usr/share/sounds/phone.wav (with kde and artsd not running) (499 bytes, text/plain)
2005-07-22 20:03 EDT, P Fudd
no flags Details

  None (edit)
Description P Fudd 2005-07-06 17:12:37 EDT
Description of problem:
Not all forms of sound playback work on a freshly installed copy of FC4.

Version-Release number of selected component (if applicable):
alsa-lib-1.0.9rf-2.FC4
alsa-lib-devel-1.0.9rf-2.FC4
alsa-utils-1.0.9rf-2.FC4

How reproducible:
Always

Steps to Reproduce:
1. Install mpg321 0.59q
2. Try using -t {esd,alsa,arts,sun,oss}
  
Actual results:
-t alsa and -t oss work, but esd, arts and sun do not.

Expected results:
On fc2, all five work.

Additional info:
I compiled the mpg321 from scratch, as well as trying the binary from the fc2
machine.  Both only worked with alsa and oss when on the fc4 machine.

I'm attaching the output when I try all five output methods, and a program for
exercising this problem.
Comment 1 P Fudd 2005-07-06 17:12:37 EDT
Created attachment 116434 [details]
Output of five mpg321 commands.
Comment 2 P Fudd 2005-07-06 17:16:40 EDT
Created attachment 116435 [details]
Short program to exercise the sound subsystems

Untar, view and then run './soundcheck' while listening to the speakers.
If everything is working, it will say:
  "This is the alsa interface"
  "This is the arts interface"
  "This is the esd interface"
  "This is the oss interface"
  "This is the sun interface"
If not, then there will be some error messages.
Comment 3 P Fudd 2005-07-06 19:08:35 EDT
May have forgotten to mention that I'm using kde, and I also get a message when
logging in that says:

Sound server informational message:
Error while initializing the sound driver:
device: default can't be opened for playback (Invalid argument)
The sound server will continue, using the null output device.
Comment 4 Martin Stransky 2005-07-11 05:03:24 EDT
Could you attach output of 'aplay -l' and lsmod?

Could you check aplay utility from console (and with/without KDE/arts)?
(e.g. aplay -D default /usr/share/sounds/phone.wav)

Could you attach your /etc/asound.conf, /etc/modprobe.conf,
/etc/alsa/cards/aliases.conf?

Which files do you have in /etc/alsa/pcm?
Comment 5 P Fudd 2005-07-22 19:47:01 EDT
Created attachment 117087 [details]
Output of aplay -l
Comment 6 P Fudd 2005-07-22 19:47:35 EDT
Created attachment 117088 [details]
Output of lsmod
Comment 7 P Fudd 2005-07-22 19:48:35 EDT
Created attachment 117089 [details]
Output of aplay -D default /usr/share/sounds/phone.wav (from inside kde)
Comment 8 P Fudd 2005-07-22 19:49:43 EDT
Created attachment 117090 [details]
Contents of asound.conf
Comment 9 P Fudd 2005-07-22 19:50:32 EDT
Created attachment 117091 [details]
Contents of modprobe.conf
Comment 10 P Fudd 2005-07-22 19:51:28 EDT
Created attachment 117092 [details]
Contents of /etc/alsa/cards/aliases.conf
Comment 11 P Fudd 2005-07-22 20:03:51 EDT
Created attachment 117093 [details]
Output of aplay -D default /usr/share/sounds/phone.wav (with kde and artsd not running)
Comment 12 P Fudd 2005-07-22 20:06:47 EDT
Comment on attachment 117091 [details]
Contents of modprobe.conf

Contents of modprobe.conf
Comment 13 Martin Stransky 2005-09-26 05:33:54 EDT
Do you have the /etc/alsa/pcm/dmix.conf and /etc/alsa/pcm/dsnoop.conf files?
Comment 14 P Fudd 2005-09-26 12:56:59 EDT
My house is in chaos while we do renovations, so my FC4 machine is not up and 
running right now.  I guess this means you haven't been able to reproduce the 
problem.  I'll put up those files as soon as I can.
Comment 15 Martin Stransky 2006-01-03 10:28:59 EST
Some how-to for the latest alsa-driver and FC4 is here:
http://people.redhat.com/stransky/alsa/
Comment 16 Martin Stransky 2006-01-08 13:42:23 EST
Changed to NEED_INFO. If you have some news swich it back please...

Note You need to log in before you can comment on or make changes to this bug.